<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Enums &mdash; Heiwa  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Error handlers" href="heiwa.error_handlers.html" />
    <link rel="prev" title="JSON-LD" href="heiwa.json_ld.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> Heiwa
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="performance.html">Performance</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="heiwa.html">API Documentation</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="heiwa.html#subpackages">Subpackages</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="heiwa.authentication.html">Authentication</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.constants.html">Statuses</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.database.html">Database</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.json_ld.html">JSON-LD</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">Enums</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.error_handlers.html">Error handlers</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.exceptions.html">Exceptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.limiter.html">Rate limiter</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.tasks.html">Tasks</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.types.html">Abstract types</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.validators.html">Validators</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.views.html">API views</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.html#module-heiwa">Root</a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Heiwa</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="heiwa.html">API Documentation</a> &raquo;</li>
      <li>Enums</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/heiwa.enums.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-heiwa.enums">
<span id="enums"></span><h1>Enums<a class="headerlink" href="#module-heiwa.enums" title="Permalink to this headline"></a></h1>
<p>Enums. Currently only contains types for
<a class="reference internal" href="heiwa.database.html#heiwa.database.Notification" title="heiwa.database.Notification"><code class="xref py py-class docutils literal notranslate"><span class="pre">Notification</span></code></a>s.</p>
<dl class="py class">
<dt class="sig sig-object py" id="heiwa.enums.NotificationTypes">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">heiwa.enums.</span></span><span class="sig-name descname"><span class="pre">NotificationTypes</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">value</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/heiwa/enums.html#NotificationTypes"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#heiwa.enums.NotificationTypes" title="Permalink to this definition"></a></dt>
<dd><p>Enums for different types of
<a class="reference internal" href="heiwa.database.html#heiwa.database.Notification" title="heiwa.database.Notification"><code class="xref py py-class docutils literal notranslate"><span class="pre">Notification</span></code></a>s.</p>
<dl class="py attribute">
<dt class="sig sig-object py" id="heiwa.enums.NotificationTypes.NEW_POST_FROM_FOLLOWEE">
<span class="sig-name descname"><span class="pre">NEW_POST_FROM_FOLLOWEE</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'NewPostFromFollowee'</span></em><a class="headerlink" href="#heiwa.enums.NotificationTypes.NEW_POST_FROM_FOLLOWEE" title="Permalink to this definition"></a></dt>
<dd><p>A new <a class="reference internal" href="heiwa.database.html#heiwa.database.Post" title="heiwa.database.Post"><code class="xref py py-class docutils literal notranslate"><span class="pre">Post</span></code></a> from a
<a class="reference internal" href="heiwa.database.html#heiwa.database.User" title="heiwa.database.User"><code class="xref py py-class docutils literal notranslate"><span class="pre">User</span></code></a> another user is following.</p>
<div class="admonition seealso">
<p class="admonition-title">See also</p>
<p><code class="xref py py-obj docutils literal notranslate"><span class="pre">heiwa.database.user_follows</span></code></p>
</div>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="heiwa.enums.NotificationTypes.NEW_POST_IN_SUBSCRIBED_THREAD">
<span class="sig-name descname"><span class="pre">NEW_POST_IN_SUBSCRIBED_THREAD</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'NewPostInSubscribedThread'</span></em><a class="headerlink" href="#heiwa.enums.NotificationTypes.NEW_POST_IN_SUBSCRIBED_THREAD" title="Permalink to this definition"></a></dt>
<dd><p>A new <a class="reference internal" href="heiwa.database.html#heiwa.database.Post" title="heiwa.database.Post"><code class="xref py py-class docutils literal notranslate"><span class="pre">Post</span></code></a> made in a
<a class="reference internal" href="heiwa.database.html#heiwa.database.Thread" title="heiwa.database.Thread"><code class="xref py py-class docutils literal notranslate"><span class="pre">Thread</span></code></a> a <a class="reference internal" href="heiwa.database.html#heiwa.database.User" title="heiwa.database.User"><code class="xref py py-class docutils literal notranslate"><span class="pre">User</span></code></a>
subscribed to.</p>
<div class="admonition seealso">
<p class="admonition-title">See also</p>
<p><code class="xref py py-obj docutils literal notranslate"><span class="pre">heiwa.database.thread_subscribers</span></code></p>
</div>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="heiwa.enums.NotificationTypes.NEW_THREAD_FROM_FOLLOWEE">
<span class="sig-name descname"><span class="pre">NEW_THREAD_FROM_FOLLOWEE</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'NewThreadFromFollowee'</span></em><a class="headerlink" href="#heiwa.enums.NotificationTypes.NEW_THREAD_FROM_FOLLOWEE" title="Permalink to this definition"></a></dt>
<dd><p>A new <a class="reference internal" href="heiwa.database.html#heiwa.database.Thread" title="heiwa.database.Thread"><code class="xref py py-class docutils literal notranslate"><span class="pre">Thread</span></code></a> from a
<a class="reference internal" href="heiwa.database.html#heiwa.database.User" title="heiwa.database.User"><code class="xref py py-class docutils literal notranslate"><span class="pre">User</span></code></a> another user is following.</p>
<div class="admonition seealso">
<p class="admonition-title">See also</p>
<p><code class="xref py py-obj docutils literal notranslate"><span class="pre">heiwa.database.user_follows</span></code></p>
</div>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="heiwa.enums.NotificationTypes.NEW_THREAD_IN_SUBSCRIBED_FORUM">
<span class="sig-name descname"><span class="pre">NEW_THREAD_IN_SUBSCRIBED_FORUM</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'NewThreadInSubscribedForum'</span></em><a class="headerlink" href="#heiwa.enums.NotificationTypes.NEW_THREAD_IN_SUBSCRIBED_FORUM" title="Permalink to this definition"></a></dt>
<dd><p>A new <a class="reference internal" href="heiwa.database.html#heiwa.database.Thread" title="heiwa.database.Thread"><code class="xref py py-class docutils literal notranslate"><span class="pre">Thread</span></code></a> made in a
<a class="reference internal" href="heiwa.database.html#heiwa.database.Forum" title="heiwa.database.Forum"><code class="xref py py-class docutils literal notranslate"><span class="pre">Forum</span></code></a> a <code class="xref py py-class docutils literal notranslate"><span class="pre">User</span></code>
subscribed to.</p>
<div class="admonition seealso">
<p class="admonition-title">See also</p>
<p><code class="xref py py-obj docutils literal notranslate"><span class="pre">heiwa.database.forum_subscribers</span></code></p>
</div>
</dd></dl>

</dd></dl>

</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="heiwa.json_ld.html" class="btn btn-neutral float-left" title="JSON-LD" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="heiwa.error_handlers.html" class="btn btn-neutral float-right" title="Error handlers" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p></p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>